drivers/pci: add prefix kmod into requested packages and fix ath10k

While testing updater drivers, Jan found out that it says:
inconsistent: Requested package ath9k that is not available.

This is because that it should want to install kmod-ath9k, there was
missing prefix. Also, while fixing this, I found that there was invalid
package name for ath10k.

Reported-by: Jan Pavlinec <jan.pavlinec@nic.cz>
8 jobs for hotfix/updater-drivers in 7 minutes and 31 seconds (queued for 4 seconds)
Status Name Job ID Coverage
  Build
passed lists_generate #517744

00:00:41

passed medkit_mox #517741

00:07:08

passed medkit_omnia #517742

00:07:30

passed medkit_turris1x #517743

00:04:48

passed prepare_mox #517738

00:03:44

passed prepare_omnia #517739

00:03:05

passed prepare_turris1x #517740

00:03:40

 
  Verify
passed lists_verify #517745

00:00:48